Groovy 1.7.10

## org.codehaus.groovy.tools.shell.commands
[Groovy] Class ShadowCommand

    java.lang.Object
      org.codehaus.groovy.tools.shell.CommandSupport
          org.codehaus.groovy.tools.shell.ComplexCommandSupport
              org.codehaus.groovy.tools.shell.commands.ShadowCommand

    class ShadowCommand
    extends ComplexCommandSupport

The 'shadow' command.

Authors:
  Jason Dillon

Version:
  \$Id: ShadowCommand.groovy 8432 2007-10-07 08:55:37Z user57 \$

Field Summary

Fields inherited from class ComplexCommandSupport
defaultFunction, functions

Fields inherited from class CommandSupport
NEWLINE, io, log, messages, registry, shell

Property Summary
`def` | `do_debug`
`def` | `do_info`
`def` | `do_this`
`def` | `do_verbose`

Constructor Summary
`ShadowCommand(Shell shell)`

Method Summary

Methods inherited from class ComplexCommandSupport
createCompletors, execute, executeFunction, loadFunction

Methods inherited from class CommandSupport
alias, assertNoArguments, createCompletors, fail, fail, getBinding, getBuffer, getBuffers, getClassLoader, getCompletor, getDescription, getHelp, getHistory, getImports, getUsage, getVariables

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Property Detail

### do_debug

    def do_debug

### do_info

    def do_info

### do_this

    def do_this

### do_verbose

    def do_verbose

Constructor Detail

### ShadowCommand

    ShadowCommand(Shell shell)

Copyright © 2003-2010 The Codehaus. All rights reserved.